| Method | URI | Description |
|---|---|---|
| GET | /v2.0/OS-KSCATALOG/endpointTemplates/{endpointTemplateId} | Gets endpoint templates. |
Normal response codes: 200, 203
Error response codes: identityFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)
This table shows the header parameters for the get endpoint template request:
| Name | Type | Description |
|---|---|---|
| String (Required) | A valid authentication token for an administrative user. |
This table shows the URI parameters for the get endpoint template request:
| Name | Type | Description |
|---|---|---|
| String | The endpoint template ID. |
This operation does not require a request body.
Example 4.49. Get Endpoint Template: XML response
<?xml version="1.0" encoding="UTF-8"?>
<endpointTemplate
xmlns="http://docs.openstack.org/identity/api/ext/OS-KSCATALOG/v1.0"
id="1"
region="North"
global="true"
type="compute"
name="Compute"
publicURL="https://service-public.com/v1"
internalURL="https://service-internal.com/v1"
enabled="true">
<version
id="1"
info="https://compute.north.public.com/v1/"
list="https://compute.north.public.com/"
/>
</endpointTemplate>Example 4.50. Get Endpoint Template: JSON response
{
"OS-KSCATALOG:endpointTemplate":{
"id": 1,
"region": "North",
"global": true,
"type": "compute",
"publicURL": "https://compute.north.public.com/v1",
"internalURL": "https://compute.north.internal.com/v1",
"versionId": "1",
"versionInfo": "https://compute.north.public.com/v1/",
"versionList": "https://compute.north.public.com/",
"enabled": true
}
}
